Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QSortedList Class Reference
[obsolete]

The QSortedList class provides a list sorted by operator< and operator==. More...

`#include <qsortedlist.h>`

Inherits QPtrList<type>.

List of all member functions.

## Public Members

- QSortedList ()
- QSortedList ( const QSortedList<type> & list )
- ~QSortedList ()
- QSortedList<type> & operator= ( const QSortedList<type> & list )

## Detailed Description

The QSortedList class provides a list sorted by operator< and operator==.

This class is obsolete. It is provided to keep old source working. We strongly advise against using it in new code.

If you want to sort a QPtrList you have to reimplement the QGList::compareItems() method. If the elements of your list support operator<() and operator==(), you can use QSortedList instead. Its compareItems() calls operator<() and operator==() and returns an appropriate result.

Otherwise, this is as QPtrList.

See also QPtrList.

## Member Function Documentation

### QSortedList::QSortedList ()

Constructs an empty list.

### QSortedList::QSortedList ( const QSortedList<type> & list )

Constructs a copy of list.

Each item in list is copied to this new list.

### QSortedList::~QSortedList ()

Removes all items from the list and destroys the list.

All list iterators that access this list will be reset.

### QSortedList<type> & QSortedList::operator= ( const QSortedList<type> & list )

Assigns list to this list and returns a reference to this list.

This list is first cleared; each item in list is then appended to this list. Only the pointers are copied (shallow copy) unless newItem() has been reimplemented().

This file is part of the Qt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.